#
# spec file for package python-typeshed
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname typeshed
Name:           python-typeshed
Version:        0.0.1+git.1539385126.cec22025
Release:        bp155.2.9
Summary:        Static type information for python modules
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/graingert/typeshed
Source0:        %{modname}-%{version}.tar.xz
Source1:        python-typeshed-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-base
Recommends:     mypy
# For tests
BuildRequires:  mypy
BuildRequires:  python3-flake8
BuildRequires:  python3-flake8-bugbear
BuildRequires:  python3-typed-ast
# BuildRequires:  flake8-pyi>=18.3.1
# BuildRequires:  pytype>=2018.9.19
BuildArch:      noarch
Provides:       python3-typeshed = %{version}
Obsoletes:      python3-typeshed < %{version}

%description
Typeshed models function types for the Python standard library
and Python builtins, as well as third party packages.

This data can e.g. be used for static analysis, type checking or
type inference.

This package stores the typedata in /usr/share/typeshed

%prep
%setup -n %{modname}-%{version}

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/typeshed
for dir in stdlib third_party ; do
    cp -r $dir %{buildroot}/%{_datadir}/typeshed/$dir
done
%fdupes %{buildroot}%{_datadir}/typeshed

%check
# python3 tests/mypy_test.py
# python3 tests/mypy_selftest.py
# flake8
# python3 tests/pytype_test.py

%files
%doc CONTRIBUTING.md README.md
%license LICENSE
%{_datadir}/typeshed

%changelog
* Sat Oct 13 2018 opensuse-packaging@opensuse.org
- Update to version 0.0.1+git.1539385126.cec22025:
  * Widen the type of the file argument to Python 2's json.dump. (#2516)
  * Fix _StrType in difflib in Python 2. (#2514)
  * Set urllib.parse.urljoin url argument to optional (#2513)
  * Inherit `InstanceType` from `object` (#2511)
  * Make csv.reader take Iterator[Text] argument instead of Iterator[str]. (#2508)
  * skip .git files from linting with flake8 (#2506)
  * Make _NetlocResultMixinBytes derive from _NetlocResultMixinBase[bytes], not [str] (#2503)
  * fix typing.Pattern in Python 2 (#2219)
  * Make 'datetime' a subclass of 'date'. (#2488)
  * Add new gflags names. (#2489)
